function mapNameToMuslimFemaleReligion(name) {
    const lowerCaseName = name.toLowerCase().trim();
    if (
        lowerCaseName === 'inaya' ||
        lowerCaseName === 'zobiya' ||
        lowerCaseName === 'zoya' ||
        lowerCaseName === 'aliya' ||
        lowerCaseName === 'inayat' ||
        lowerCaseName === 'namra' ||
        lowerCaseName === 'sireen' ||
        lowerCaseName === 'nigar' ||
        lowerCaseName === 'nori' ||
        lowerCaseName === 'sakina' ||
        lowerCaseName === 'nazma' ||
        lowerCaseName === 'sma'
    ) {
        return 'Muslim';
    }
    return 'Unknown'; // Default if no match found
}